internal error - SP mismatch

Matt Welsh mdw@cs.berkeley.edu
Fri Mar 24 10:53:00 GMT 2000


James CE Johnson <jcej@tragus.org> writes:
> 
> By "latest libgcj" do you mean the stable 2.95.1 version or the one at the he
> ad of
> the CVS repository?  Assuming you mean the former, I'm gonna go try that now.

I'm sorry, I was wrong.

I am using gcc-2.95.2 with Bryce's patches, as well as the latest 
version of libgcj *before* some changes were made to support throw/catch
in CNI. This version is from
	02 Mar 2000 00:00:00
so you can get it with something like
	cvs co -D "March 2, 2000 00:00:00" libgcj
Note that Bryce has a patch that you need to apply on top of this
(libgcj-interface-dispatch-2.patch).

As I said, however, I am running into problems with threads with this version,
which I am trying to fix now.

Note that some, but not all, of the files in this directory were labelled
with the tag "pre-cni-catch-change". You could try checking out this version
from CVS, but it's confusing because not all of the files in the libgcj
directory were tagged with this, and the default behavior for libgcj is to
check out any files *not* tagged with the newest version. Unfortunately 
the resulting tree won't compile. Best to check it out by date as shown above.

Matt

> As a newcomer... I'd vote for a note that says which snapshots work with whic
> h
> gcc.

Absolutely. I'll write a "Status" page and get it added to the website.
If people have reports on what versions of gcj/libgcj they are using 
successfully on different platforms, I will add them to that page...

Matt


More information about the Java mailing list